package com.ynfy.buss.exam.userexam.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.ynfy.buss.exam.userexam.entity.UserExam;
import org.apache.ibatis.annotations.Param;

/**
 * @Description: 用户考试表
 * @Author: jeecg-boot
 * @Date: 2023-03-05
 * @Version: V1.0
 */
public interface UserExamMapper extends BaseMapper<UserExam> {

    /**
     * 查询用户考试信息及试题
     *
     * @param id
     * @return
     */
    UserExam listUserExam(String id);


    IPage<UserExam> selectPageList(IPage<UserExam> page, @Param("userExam") UserExam userExam);


}
