package com.ynfy.buss.exam.exam.dto;


import lombok.Data;

/**
 * 填空题答案选项对比结果
 */
@Data
public class BlankAnswerResultDTO {

    /**
     * 答案序号
     */
    private String tag;

    /**
     * 答案内容
     */
    private String content;

    /**
     * 是否正确
     */
    private Boolean isRight;


    /**
     * 选项得分
     */
    private Integer score;


    public BlankAnswerResultDTO(String tag, String content, Boolean isRight, Integer score) {
        this.tag = tag;
        this.content = content;
        this.isRight = isRight;
        this.score = score;
    }
}
