package com.ynfy.buss.exam.examstatistics.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.ynfy.buss.exam.examstatistics.dto.ExamStatisticsDTO;
import com.ynfy.buss.exam.examstatistics.entity.ExamStatistics;

import java.util.List;

/**
 * @Description: 考试统计表
 * @Author: jeecg-boot
 * @Date: 2023-03-20
 * @Version: V1.0
 */
public interface IExamStatisticsService extends IService<ExamStatistics> {


    /**
     * 考试结果统计
     *
     * @param examId
     * @return
     */
    List<ExamStatisticsDTO> calcExamDimension(String examId);
}
