package com.ynfy.buss.exam.question.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.jeecg.common.aspect.annotation.Dict;

import java.io.Serializable;

@Data
@ApiModel(value = "question 数据传输对象", description = "question")
public class QuestionDTO implements Serializable {
    private static final long serialVersionUID = 1L;

    /**
     * 类型
     */
    @ApiModelProperty(value = "类型")
    @Dict(dicCode = "question_type")
    private Integer type;

    /**
     * 级别
     */
    @ApiModelProperty(value = "级别")
    @Dict(dicCode = "question_level")
    private Integer level;

    @ApiModelProperty(value = "题库列表")
    private String repositoryId;

    @ApiModelProperty(value = "题库名称")
    private String repositoryName;

    @ApiModelProperty(value = "分类数量")
    private Integer categoryCount;

    @ApiModelProperty(value = "抽题数量")
    private Integer num;

}


